fann_set_activation_steepness_output
fann_set_bit_fail_limit
Fann Functions
PHP Manual

# fann_set_activation_steepness

Sets the activation steepness for supplied neuron and layer number

### Description

bool fann_set_activation_steepness ( resource `$ann` , float `$activation_steepness` , int `$layer` , int `$neuron` )

Set the activation steepness for neuron number neuron in layer number layer, counting the input layer as layer 0.

It is not possible to set activation steepness for the neurons in the input layer.

The steepness of an activation function says something about how fast the activation function goes from the minimum to the maximum. A high value for the activation function will also give a more agressive training.

When training neural networks where the output values should be at the extremes (usually 0 and 1, depending on the activation function), a steep activation function can be used (e.g. 1.0).

The default activation steepness is 0.5.

### Parameters

`ann`

  Neural network resource.

`activation_steepness`

  The activation steepness.

`layer`

  Layer number.

`neuron`

  Neuron number.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_set_activation_steepness_layer
- fann_set_activation_steepness_hidden
- fann_set_activation_steepness_output
- fann_get_activation_steepness
- fann_set_activation_function